%define name darktable
%define version 1.2
%define release %mkrel 1

Summary:	darktable is a photography workflow application
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source0: 	http://downloads.sourceforge.net/darktable/1.1/%{name}-%{version}.tar.xz
Patch0:		darktable-1.0.4-glibdir.patch
License: 	GPLv3
Group:		Graphics/Photography
Url: 		http://darktable.sourceforge.net
BuildRequires:	cmake
BuildRequires:	pkgconfig >= 0.22
BuildRequires:	sqlite3-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	tiff-devel
BuildRequires:	gtk+2-devel
BuildRequires:	intltool
BuildRequires:	gettext
BuildRequires:	lcms2-devel
BuildRequires:	%{_lib}exiv2-devel
BuildRequires:	openmpi-devel
BuildRequires:	lensfun-devel
BuildRequires:	curl-devel
BuildRequires:	gphoto2-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	OpenEXR-devel
BuildRequires:	xsltproc
BuildRequires:	librsvg2-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	flickcurl-devel
BuildRequires:	%{_lib}json-glib-devel
BuildRequires:	libsoup-2.4-devel
BuildRequires:	colord-devel
BuildRequires:	SDL-devel
BuildRequires:	OpenEXR-devel

%description
darktable is a photography workflow application: a virtual lighttable
and darkroom for photographers: it manages your digital negatives in a
database and lets you view them through a zoomable lighttable. it also
enables you to develop raw images and enhance them.

this project tries to fill the gap between the many excellent existing
free raw converters and image management tools (such as e.g. ufraw,
rawstudio, f-spot, digikam, shotwell). The user interface is built
around efficient caching of image metadata and mipmaps, all stored in a
database. the main focus is on user interaction, both in terms of a
smooth interface design as well as processing speed. high quality output
is also one of our goals.

all editing is fully non-destructive and only operates on cached image
buffers for display. the full image is only converted during export.
raw image loading is done using libraw and rawspeed, high-dynamic range,
and standard image formats such as jpeg are also supported. the core
operates completely on floating point values, so darktable can not only
be used for photography but also for scientifically acquired images or
output of renderers (high dynamic range).

%prep
%setup -q
%patch0 -p0

%build
#cmake
mkdir build
cd build
cmake .. \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
    -DCMAKE_INSTALL_LIBDIR:PATH=%{_libdir} \
%ifarch x86_64
    -DLIB_SUFFIX=64 \
%endif
    -DLIB_INSTALL_DIR:PATH=%{_libdir}


%make

%install
%makeinstall_std -C build
%find_lang %name

%files -f %{name}.lang
%{_bindir}/%name
%{_bindir}/%name-cltest
%{_bindir}/%name-cli
%{_bindir}/%{name}-viewer
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%name
%{_iconsdir}/*/*/*/*
%{_libdir}/%name
%{_docdir}/%name
%{_mandir}/man1/*


%changelog

* Mon Apr 08 2013 dams <dams> 1.2-1.mga3
+ Revision: 409074
- new version 1.2

* Wed Mar 27 2013 dams <dams> 1.1.4-1.mga3
+ Revision: 405752
- new version 1.1.4

* Fri Mar 08 2013 dams <dams> 1.1.3-1.mga3
+ Revision: 401787
- new version 1.1.3
- Fix BuildRequires to build 'darktable-viewer' (add 'SDL-devel')
- Add 'colord-devel' as a BuildRequires to remove warning during build

* Fri Jan 11 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 348612
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Dec 13 2012 petos <petos> 1.1.1-1.mga3
+ Revision: 330355
- New version of Darktable. Lot of bugfixes...

* Sun Dec 02 2012 petos <petos> 1.1-1.mga3
+ Revision: 325634
- br OpenEXR
- Update to new version 1.1

* Sun Dec 02 2012 fwang <fwang> 1.0.5-6.mga3
+ Revision: 324978
- br openexr
- rebuild for new ilmbase

  + dams <dams>
    - update %%Group with new policy

* Mon Aug 27 2012 petos <petos> 1.0.5-4.mga3
+ Revision: 284557
- update br
- update rel
- update
- Updated message
- Typo fixed
- Reverted fwang's changes -- breaking package in 64bit system

* Sun Aug 05 2012 fwang <fwang> 1.0.5-3.mga3
+ Revision: 278929
- use system cmake macro

* Sun Aug 05 2012 fwang <fwang> 1.0.5-2.mga3
+ Revision: 278924
- rebuild for new gphoto

* Tue Jul 24 2012 petos <petos> 1.0.5-1.mga3
+ Revision: 274111
- Updated to new version

* Sun Jun 24 2012 petos <petos> 1.0.4-4.mga3
+ Revision: 263307
- fixed build
- Removed malfunctioned patch

* Tue Jun 19 2012 petos <petos> 1.0.4-3.mga3
+ Revision: 262012
- New buildrequires flickcurl-devel
- New buildRequire

* Mon Jun 18 2012 fwang <fwang> 1.0.4-2.mga3
+ Revision: 261637
- find correct path in lib64
- add more br
- br exiv
- cleanup spec

* Thu Jun 07 2012 petos <petos> 1.0.4-1.mga3
+ Revision: 257147
- Updated to new version

* Fri May 11 2012 dams <dams> 1.0.3-1.mga2
+ Revision: 235255
- new version 1.0.3

* Sun Apr 15 2012 petos <petos> 1.0-1.mga2
+ Revision: 230874
- imported package darktable

